package esercitazione9.graph;

import esercitazione8.graph.Graph;
import esercitazione8.graph.Node;

public class TestGraphVisits {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		Node<String> a = new Node<String>("A");
		Node<String> b = new Node<String>("B");
		Node<String> c = new Node<String>("C");
		Node<String> d = new Node<String>("D");
		Node<String> e = new Node<String>("E");
		Node<String> f = new Node<String>("F");
		Node<String> g = new Node<String>("G");
		
		Graph<String> graph = new Graph<String>();
		
		graph.insertNode(a);
		graph.insertNode(b);
		graph.insertNode(c);
		graph.insertNode(d);
		graph.insertNode(e);
		graph.insertNode(f);
		graph.insertNode(g);
		
		graph.insertEdge(a,  b);
		graph.insertEdge(a,  c);
		//graph.insertEdge(b,  c);
		graph.insertEdge(b,  e);
		graph.insertEdge(b,  g);
		graph.insertEdge(c,  f);
		graph.insertEdge(d,  g);
		graph.insertEdge(e,  d);
		graph.insertEdge(g,  c);		
		graph.print();
		
		
		GraphVisits<String> gv = new GraphVisits<String>();
		
		
		System.out.println(gv.isBipartite(graph, a));
		
		
		gv.printPath(graph, b, a);
		
	
		
	}

}
